Subject: Request garden club addresses

From: [email-masked] (Flannery K Dolan)
Date: Sat, 4 Mar 1995 16:34:45 GMT

Requesting name and addresses of any garden club in US or Canada. Have 
source (wholesale) for hanging wire baskets and coco coir liners. These 
are seconds from a national manufacturer that does not want their name on 
anything that does not pass inspection. I am posting this for a friend 
and am told that she has approximately 200 14" and 16" baskets. E-mail 
any addresses and I will pass them on to her.